[nodebb-plugin-pushbullet] Push Notifications for NodeBB

  • Anime Lovers

    @julian well I have this, which I just pulled from the git project and run npm install and after node app --setup also did the nodebb upgrade:

    18/9 22:21 [3660] - info: Initializing NodeBB v0.8.2
    

    and got this installed just now:

    nodebb-plugin-pushbullet@3.0.3 node_modules\nodebb-plugin-pushbullet
    

    ended up with the same error on MongoDB:

    18/9 22:28 [2300] - info: NodeBB Ready
    18/9 22:28 [2300] - info: NodeBB is now listening on: 0.0.0.0:4567
    18/9 22:31 [2300] - error: TypeError: undefined is not a function
    at C:\NodeBB\src\posts.js:176:12
    at C:\NodeBB\src\database\mongo\sorted.js:283:4
    at C:\NodeBB\src\database\mongo\sorted.js:143:5
    at handleCallback (C:\NodeBB\node_modules\mongodb\lib\utils.js:96:12)
    at C:\NodeBB\node_modules\mongodb\lib\cursor.js:833:16
    at handleCallback (C:\NodeBB\node_modules\mongodb\node_modules\mongodb-core\
    lib\cursor.js:244:5)
    at setCursorNotified (C:\NodeBB\node_modules\mongodb\node_modules\mongodb-co
    re\lib\cursor.js:558:3)
    at C:\NodeBB\node_modules\mongodb\node_modules\mongodb-core\lib\cursor.js:66
    5:16
    at queryCallback (C:\NodeBB\node_modules\mongodb\node_modules\mongodb-core\l
    ib\cursor.js:321:5)
    at Callbacks.emit (C:\NodeBB\node_modules\mongodb\node_modules\mongodb-core\
    lib\topologies\server.js:95:3)
    TypeError: undefined is not a function
    at C:\NodeBB\src\posts.js:176:12
    at C:\NodeBB\src\database\mongo\sorted.js:283:4
    at C:\NodeBB\src\database\mongo\sorted.js:143:5
    at handleCallback (C:\NodeBB\node_modules\mongodb\lib\utils.js:96:12)
    at C:\NodeBB\node_modules\mongodb\lib\cursor.js:833:16
    at handleCallback (C:\NodeBB\node_modules\mongodb\node_modules\mongodb-core\
    lib\cursor.js:244:5)
    at setCursorNotified (C:\NodeBB\node_modules\mongodb\node_modules\mongodb-co
    re\lib\cursor.js:558:3)
    at C:\NodeBB\node_modules\mongodb\node_modules\mongodb-core\lib\cursor.js:66
    5:16
    at queryCallback (C:\NodeBB\node_modules\mongodb\node_modules\mongodb-core\l
    ib\cursor.js:321:5)
    at Callbacks.emit (C:\NodeBB\node_modules\mongodb\node_modules\mongodb-core\
    lib\topologies\server.js:95:3)
    18/9 22:31 [2300] - info: [app] Shutdown (SIGTERM/SIGINT) Initialised.
    18/9 22:31 [2300] - info: [app] Database connection closed.
    18/9 22:31 [2300] - info: [app] Web server closed to connections.
    18/9 22:31 [2300] - info: [app] Shutdown complete.
  • NodeBB

    @SergioNG you should be on 3.0.4 or 3.1.0

  • Anime Lovers

    You guys are the best!! thank you very much for the guidance, indeed the version was outdated but I think something has to be done because look at this:

    plugin-pushbullet-version.png

    According to that the Latest version should be 3.0.3 not the one it installed using directly npm install nodebb-plugin-pushbullet (I was using previously the admin control page to install it), but well maybe this is just me not having still all setup correctly but its finally working properly and I'm getting the notifications on my phone ^_^ .

    Thank you again guys, looking forward to dive much more into the project to build some stuff as plugins 😄 !!


  • Both 3.0.4 and 3.1.0 are only commited to GitHub and not visible in the Releases.

    NodeBB is probably only checking for Releases.

    So the plugin creator (@julian) has to mark them as Releases.

  • GNU/Linux Admin

    @JuliusMD The releases aren't checked, but we actually check npm for the latest version. v3.0.3 may be reported as latest because that is the one compatible with his NodeBB version

  • Global Moderator Plugin & Theme Dev

    @julian nodebb/nodebb-plugin-pushbullet#26

  • GNU/Linux Admin

    Merged, thanks @pitaj!


  • plugin is crashing nodebb when i click on send test notification. i dont see any error

  • Plugin & Theme Dev

    they killed the app

    19/8 19:43 [18684] - error: [plugins/pushbullet] Pushbullet Pro is required to make this call. (invalid_request)
    19/8 19:43 [18684] - error: [plugins/pushbullet] Pushbullet Pro is required to make this call. (invalid_request)
    19/8 19:44 [18684] - error: [plugins/pushbullet] Pushbullet Pro is required to make this call. (invalid_request)
    19/8 19:44 [18684] - error: [plugins/pushbullet] Pushbullet Pro is required to make this call. (invalid_request)
    19/8 19:44 [18684] - error: [plugins/pushbullet] Pushbullet Pro is required to make this call. (invalid_request)

    👊


  • @exodo how many notifications over pushbullet are allowed for free?

  • Plugin & Theme Dev

    @jarey said in [nodebb-plugin-pushbullet] Push Notifications for NodeBB:

    @exodo how many notifications over pushbullet are allowed for free?

    i guess only 100 👎

  • Plugin & Theme Dev

    0_1471629235654_Screenshot_2.png


  • @exodo seems it is 500, ( i remembered i got a warning about it yesterday)

    "You are approaching your monthly limit of 500 API pushes. Please upgrade to a pro account to continue sending API pushes. https://pushbullet.com/pro"


  • @jarey said in [nodebb-plugin-pushbullet] Push Notifications for NodeBB:

    @exodo seems it is 500, ( i remembered i got a warning about it yesterday)

    "You are approaching your monthly limit of 500 API pushes. Please upgrade to a pro account to continue sending API pushes. https://pushbullet.com/pro"

    Would it be possible for users to put in their own key and only get notifications on items that would trigger the bell?

  • GNU/Linux Admin

    That might be a nice workaround, although slightly nefarious in spirit 😆

    That said, I don't use Pushbullet anymore, as I no longer support them since they went pro. Happy to hand over the reigns to somebody else if a volunteer is available 🙂

Suggested Topics

| |